import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class BollingerBandWidthIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected get_qm(): IndicatorCalculationStrategy;
    protected readonly qm: IndicatorCalculationStrategy;
    protected get_qz(): Type;
    protected readonly qz: Type;
    q8: number;
    static readonly rb: DependencyProperty;
    protected qs(): number;
    q7: number;
    static readonly ra: DependencyProperty;
    protected qq(): number;
}
